Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/rhash: New aport.

From: Przemyslaw Pawelczyk <przemoc_at_zoho.com>
Date: Wed, 16 Nov 2016 15:13:30 +0100

http://rhash.anz.ru/

RHash is a console utility for calculation and verification of magnet
links and a wide range of hash sums like CRC32, MD4, MD5, SHA1, SHA256,
SHA512, SHA3, AICH, ED2K, Tiger, DC++ TTH, BitTorrent BTIH,
GOST R 34.11-94, RIPEMD-160, HAS-160, EDON-R, Whirlpool and Snefru.
---
 testing/rhash/APKBUILD | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)
 create mode 100644 testing/rhash/APKBUILD
diff --git a/testing/rhash/APKBUILD b/testing/rhash/APKBUILD
new file mode 100644
index 000000000000..9d3c2f3ab75c
--- /dev/null
+++ b/testing/rhash/APKBUILD
_at_@ -0,0 +1,33 @@
+# Maintainer: Przemyslaw Pawelczyk <przemoc_at_zoho.com>
+pkgname=rhash
+pkgver=1.3.4
+pkgrel=0
+pkgdesc="Utility for calculation and verification of hash sums and magnet links"
+url="http://rhash.anz.ru/"
+arch="all"
+license="custom"
+depends=
+depends_dev=""
+makedepends="$depends_dev"
+subpackages="$pkgname-doc"
+source="$pkgname-$pkgver.tar.gz::http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver-src.tar.gz"
+
+builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+	cd "$builddir"
+	make \
+		|| return 1
+}
+
+package() {
+	cd "$builddir"
+	make install \
+	     DESTDIR="$pkgdir" \
+	     PREFIX=/usr \
+		|| return 1
+}
+
+md5sums="0b51010604659e9e99f6307b053ba13b  rhash-1.3.4.tar.gz"
+sha256sums="406662c4703bd4cb1caae26f32700951a5e12adf39f141d3f40e0b461b1e9e49  rhash-1.3.4.tar.gz"
+sha512sums="a78be309011798d5e55023eb93f898c10254a42270288fa5ec68ad446b5f3d001e8c6f893683e5171e3858c86d45ce2ce16eefde1173209e1925420c27a7ff7a  rhash-1.3.4.tar.gz"
-- 
2.8.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Nov 16 2016 - 15:13:30 GMT